/* global describe it expect */
import React from 'react'
import { shallow, mount } from 'enzyme'
import Button from './Button'
import Link from './Link'
import Box from './Box'

describe('<Button />', () => {
  it('should render a Button', () => {
    const box = mount(<Button />)
    expect(box.type()).toEqual(Button)
    expect(box.name()).toEqual('Button')
  })

  it(`is a 'button' element by default`, () => {
    const box = shallow(<Button />)
    expect(box.html()).toMatch('</button>')
  })

  // it('should compose a Box', () => {
  //   // Not sure how to test
  // })

  // Still unsure how to test glamor classnames
})

describe(`<Button is='p' />`, () => {
  it(`is a 'p' element`, () => {
    const box = shallow(<Button is='p' />)
    expect(box.html()).toMatch('</p>')
  })
})

describe(`<Button is={Link} />`, () => {
  it('should render a Button', () => {
    const box = mount(<Button is={Link} />)
    expect(box.type()).toEqual(Button)
    expect(box.name()).toEqual('Button')
  })

  it(`is an 'a' element`, () => {
    const box = shallow(<Button is={Link} />)
    expect(box.html()).toMatch('</a>')
  })
})
