/* global describe it expect */
import React from 'react'
import { shallow, mount } from 'enzyme'
import Text from './Text'
import Link from './Link'
import Box from './Box'

describe('<Text />', () => {
  it('should render a Text', () => {
    const box = mount(<Text />)
    expect(box.type()).toEqual(Text)
    expect(box.name()).toEqual('Text')
  })

  it(`is a 'p' element by default`, () => {
    const box = shallow(<Text />)
    expect(box.html()).toMatch('</p>')
  })

  // it('should compose a Box', () => {
  //   // Not sure how to test
  // })

  // Still unsure how to test glamor classnames
})

describe(`<Text is='span' />`, () => {
  it(`is a 'span' element`, () => {
    const box = shallow(<Text is='span' />)
    expect(box.html()).toMatch('</span>')
  })
})

describe(`<Text is={Link} />`, () => {
  it('should render a Text', () => {
    const box = mount(<Text is={Link} />)
    expect(box.type()).toEqual(Text)
    expect(box.name()).toEqual('Text')
  })

  it(`is an 'a' element`, () => {
    const box = shallow(<Text is={Link} />)
    expect(box.html()).toMatch('</a>')
  })
})
