import React, { PropTypes } from 'react'
import cx from 'classnames'
import {
  SpaceScale,
  SpaceScalePropType
} from './../components/Space'

const TextAlign = {
  LEFT: 'left',
  RIGHT: 'right',
  CENTER: 'center'
}

export const propTypes = {
  textAlign: PropTypes.oneOf(Object.values(TextAlign))
}

export const parseProps = ({
  textAlign,
  style,
  ...props
}) => {
  const styles = {}

  styles.textAlign = textAlign

  return { style: { ...styles, ...style }, ...props }
}
